import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Ball here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Ball extends Actor
{
    private int bewegen = 0;
    private int wert, platz;

    /**
     * Act - do whatever the Ball wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {

        switch (bewegen)
        {
            case 1:

            if (getY() < 150)
            {

                setLocation(getX(), getY()+1);
            }
            else
            {

                bewegen = 2;
            }
            break;

            case 2:
            if (getX() <  platz * 60 + 30)
            {

                setLocation(getX() + 1, getY());
            }
            else
            {

                bewegen = 3;
            }

            break;

            case 3:
            if (getY() > 90)
            {

                setLocation(getX(), getY() - 1);
            }
            else
            {

                bewegen = 0;
            }
            break;

            case 4:
            if (getY() > 80)
            {

                setLocation(getX(), getY() - 1);
            }
            else
            {

                bewegen = 5;
            }
            break;

            case 5:
            if (getY() < 90)
            {

                setLocation(getX(), getY() + 1);
            }
            else
            {

                bewegen = 0;
            }
            break;

            case 6:

            if (getY() > 30)
            {

                setLocation(getX(), getY()-1);
            }
            else
            {

                bewegen = 7;
            }
            break;

            case 7:
            if (getX() >  platz * 60 + 30)
            {

                setLocation(getX() - 1, getY());
            }
            else
            {

                bewegen = 8;
            }

            break;

            case 8:
            if (getY() < 90)
            {

                setLocation(getX(), getY() + 1);
            }
            else
            {

                bewegen = 0;
            }
            break;
        }
    }
    
    public int getbewegen()
    {
        return bewegen;
    }

    public void setbewegen(int pBewegen)
    {
        bewegen = pBewegen;
    }

    public void setPlatz(int pPlatz)
    {
        platz = pPlatz;
    }

    public int getPlatz()
    {
        return platz;
    }

    public int getWert()
    {
        return wert;
    }

    public Ball(int pFaktor)
    {
        this.getImage().scale(pFaktor * 6,pFaktor * 6);
        wert = pFaktor;
    }

    public int getBewegen()
    {
        return bewegen;
    }

}
